%define upstream_name redis-collections

Name:           python-%{upstream_name}
Version:        0.7.0
Release:        %mkrel 4
Summary:        Set of basic Python collections backed by Redis
Group:          Development/Python
License:        ISCL
URL:            https://pypi.org/project/redis-collections/
Source0:        https://files.pythonhosted.org/packages/36/ae/8bbb59d51700f8e9f8eeec03b31920ff78a6db02f80b70b6649c1249d99f/%{upstream_name}/%{upstream_name}-%{version}.tar.gz
BuildArch:      noarch

%description
redis-collections is a Python library that provides a high-level interface to
Redis, the excellent key-value store.

%package -n     python3-%{upstream_name}
Summary:        Set of basic Python collections backed by Redis
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)

%description -n python3-%{upstream_name}
redis-collections is a Python library that provides a high-level interface to
Redis, the excellent key-value store.

%prep
%setup -q -n %{upstream_name}-%{version}

%build
%py3_build

%install
%py3_install

%files -n python3-%{upstream_name}
%doc README.rst
%{python3_sitelib}/redis_collections
%{python3_sitelib}/redis_collections-%{version}-*.egg-info


%changelog
* Sat Jun 13 2020 guillomovitch <guillomovitch> 0.7.0-4.mga8
+ Revision: 1593130
- rebuild for proper automatic dependencies

* Sun Feb 16 2020 umeabot <umeabot> 0.7.0-3.mga8
+ Revision: 1534314
- Mageia 8 Mass Rebuild

* Thu Oct 03 2019 guillomovitch <guillomovitch> 0.7.0-2.mga8
+ Revision: 1449005
- rebuild for python 3.8

* Mon Jul 01 2019 guillomovitch <guillomovitch> 0.7.0-1.mga8
+ Revision: 1417126
- imported package python-redis-collections

